/*
***********************************************************************************************
*								  CONTROL CONSOLE EXERCISE
*						Use a T6963C 128x64 monochrome LCD for display.
*				  	
*
* File name		: eeprom.c
* 				  IDE: Microchip's MPLAB v7.01
*				  Project name: eepromdat.mcp
*				  CCS C complier PCM version 3.170
* Programmer 	: John Leung, TechToys, Hong Kong
* Web presence  : www.TechToys.com.hk
* Date			: Version 0.0, 5th Jan 2006
***********************************************************************************************
*										DESCRIPTION
*
* This program stores 3 icons(32x32) and a picture to eeprom(Microchip's 24LC256) for later 
* use with another project (T6963CCS.mcp).
* Use shareware FastLCD designer by Bojan I. MICRODESIGN, version 1.2.0 to convert
* bmp picture to text file (Dog.h and icons.h).
***********************************************************************************************
*/

#include <16F877a.h>
#fuses HS,NOWDT,NOPROTECT,NOLVP
#use delay(clock=20000000)
#use rs232(baud=9600, xmit=PIN_C6, rcv=PIN_C7)
#include "Dog.h"
#include "icons.h"

#define EEPROM_SDA PIN_C4
#define EEPROM_SCL PIN_C3
#include <24256.c>

main()
{
	unsigned int16 i = 0;

	init_ext_eeprom();
	
	for(i=0; i<128; i++)
		write_ext_eeprom(i, cygwin_icon[i]); 		//byte 0-127
	
	for(i=0; i<128; i++)
		write_ext_eeprom(i+128, flash_icon[i]); 	//byte 128-255

	for(i=0; i<128; i++)
		write_ext_eeprom(i+256, outlook_icon[i]); 	//byte 256-383

	for(i=0; i<72; i++) write_ext_eeprom(i+384, Dog_row1[i]);	//offset = 384, byte 0-71
	for(i=0; i<72; i++) write_ext_eeprom(i+456, Dog_row2[i]);	
	for(i=0; i<72; i++) write_ext_eeprom(i+528, Dog_row3[i]);
	for(i=0; i<72; i++) write_ext_eeprom(i+600, Dog_row4[i]);
	for(i=0; i<72; i++) write_ext_eeprom(i+672, Dog_row5[i]);
	for(i=0; i<72; i++) write_ext_eeprom(i+744, Dog_row6[i]);
	for(i=0; i<72; i++) write_ext_eeprom(i+816, Dog_row7[i]);
	for(i=0; i<72; i++) write_ext_eeprom(i+888, Dog_row8[i]);

	for(;;){
		;
	}
}
